Meet our new project:Start Page HQ - turn your new tab into a personal dashboard

Color Properties

All Framework7-React components supports same set of color properties that allow to set separate element colors and color themes:

PropTypeDefaultDescription
colorstringSingle element color. One of the default colors.
colorThemestringApplies color theme to the element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc. One of the default colors.
textColorstringSets element's text color. One of the default colors.
bgColorstringSets element's background color. One of the default colors.
borderThemestringSets element's borders color. One of the default colors.
rippleColorstringSets element ripple wave color. One of the default colors.
darkbooleanfalseEnables dark layout theme on element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc.

For example:

<!-- Button color -->
<Button color="red">Red Button</Button>

<!-- Link color -->
<Link color="green">Green Link</Link>

<!-- Page color theme -->
<Page colorTheme="orange">
  ...
</Page>

<!-- Panel with dark theme -->
<Panel dark>
  ...
</Panel>
color-themes.jsx
import React, { useState } from 'react';
import {
  Navbar,
  Page,
  BlockTitle,
  Button,
  Block,
  List,
  ListItem,
  ListInput,
  Checkbox,
  Link,
  Toolbar,
  f7,
  ToolbarPane,
  Toggle,
} from 'framework7-react';
import $ from 'dom7';

let globalTheme = 'light';
let globalThemeColor = $('html').css('--f7-color-primary').trim();
let globalMonochrome = false;
let globalVibrant = false;

export default () => {
  if (!globalThemeColor) {
    globalThemeColor = $('html').css('--f7-color-primary').trim();
  }
  const colors = Object.keys(f7.colors).filter(
    (c) => c !== 'primary' && c !== 'white' && c !== 'black',
  );

  const [theme, setTheme] = useState(globalTheme);
  const [themeColor, setThemeColor] = useState(globalThemeColor);
  const [monochrome, setMonochrome] = useState(globalMonochrome);
  const [vibrant, setVibrant] = useState(globalVibrant);

  const setScheme = (newTheme) => {
    f7.setDarkMode(newTheme === 'dark');
    globalTheme = newTheme;
    setTheme(newTheme);
  };

  const setColorTheme = (newColor) => {
    globalThemeColor = f7.colors[newColor];
    setThemeColor(globalThemeColor);
    f7.setColorTheme(globalThemeColor);
  };

  const setCustomColor = (newColor) => {
    globalThemeColor = newColor;
    setThemeColor(globalThemeColor);
    f7.setColorTheme(globalThemeColor);
  };
  const setMdColorScheme = () => {
    if (!globalVibrant && !globalMonochrome) {
      f7.setMdColorScheme('default');
    } else if (globalVibrant && !globalMonochrome) {
      f7.setMdColorScheme('vibrant');
    } else if (!globalVibrant && globalMonochrome) {
      f7.setMdColorScheme('monochrome');
    } else if (globalVibrant && globalMonochrome) {
      f7.setMdColorScheme('monochrome-vibrant');
    }
  };
  const setMdColorSchemeMonochrome = (value) => {
    globalMonochrome = value;
    setMonochrome(globalMonochrome);
    setMdColorScheme();
  };
  const setMdColorSchemeVibrant = (value) => {
    globalVibrant = value;
    setVibrant(globalVibrant);
    setMdColorScheme();
  };

  return (
    <Page>
      <Navbar large title="Color Themes" backLink>
        <Link slot="right">Link</Link>
      </Navbar>
      <Toolbar tabbar icons bottom>
        <ToolbarPane>
          <Link
            tabLink="#tab-1"
            tabLinkActive
            text="Tab 1"
            iconIos="f7:envelope_fill"
            iconMd="material:email"
          />
          <Link tabLink="#tab-2" text="Tab 2" iconIos="f7:calendar_fill" iconMd="material:today" />
          <Link
            tabLink="#tab-3"
            text="Tab 3"
            iconIos="f7:cloud_upload_fill"
            iconMd="material:file_upload"
          />
        </ToolbarPane>
      </Toolbar>
      <BlockTitle medium>Layout Themes</BlockTitle>
      <Block strong inset>
        <p>Framework7 comes with 2 main layout themes: Light (default) and Dark:</p>
        <div className="grid grid-cols-2 grid-gap">
          <div
            width="50"
            className="bg-color-white demo-theme-picker"
            onClick={() => setScheme('light')}
          >
            {theme === 'light' && <Checkbox checked disabled />}
          </div>
          <div
            width="50"
            className="bg-color-black demo-theme-picker"
            onClick={() => setScheme('dark')}
          >
            {theme === 'dark' && <Checkbox checked disabled />}
          </div>
        </div>
      </Block>

      <BlockTitle medium>Default Color Themes</BlockTitle>
      <Block strong inset>
        <p>Framework7 comes with {colors.length} color themes set.</p>
        <div className="grid grid-cols-3 medium-grid-cols-2 large-grid-cols-5 grid-gap">
          {colors.map((color, index) => (
            <div key={index}>
              <Button
                fill
                round
                small
                className="demo-color-picker-button"
                color={color}
                onClick={() => setColorTheme(color)}
              >
                {color}
              </Button>
            </div>
          ))}
        </div>
      </Block>

      <BlockTitle medium>Material Color Scheme</BlockTitle>
      <List strong inset dividersIos>
        <ListItem
          title="Monochrome"
          after={
            <Toggle
              checked={monochrome}
              onToggleChange={() => setMdColorSchemeMonochrome(!monochrome)}
            />
          }
        ></ListItem>
        <ListItem
          title="Vibrant"
          after={
            <Toggle checked={vibrant} onToggleChange={() => setMdColorSchemeVibrant(!vibrant)} />
          }
        ></ListItem>
      </List>

      <BlockTitle medium>Custom Color Theme</BlockTitle>
      <List strong inset dividersIos>
        <ListInput
          type="colorpicker"
          label="HEX Color"
          placeholder="e.g. #ff0000"
          readonly
          value={{ hex: themeColor }}
          onColorPickerChange={(value) => setCustomColor(value.hex)}
          colorPickerParams={{ targetEl: '#color-theme-picker-color' }}
        >
          <div
            slot="media"
            id="color-theme-picker-color"
            style={{
              width: '28px',
              height: '28px',
              borderRadius: '4px',
              background: 'var(--f7-theme-color)',
            }}
          ></div>
        </ListInput>
      </List>
    </Page>
  );
};

Meet our new project:Start Page HQ - turn your new tab into a personal dashboard

Color Properties

All Framework7-Vue components supports same set of color properties that allow to set separate element colors and color themes:

PropTypeDefaultDescription
colorstringSingle element color. One of the default colors.
color-themestringApplies color theme to the element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc. One of the default colors.
text-colorstringSets element's text color. One of the default colors.
bg-colorstringSets element's background color. One of the default colors.
border-themestringSets element's borders color. One of the default colors.
ripple-colorstringSets element ripple wave color. One of the default colors.
darkbooleanfalseEnables dark layout theme on element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc.

For example:

<!-- Button color -->
<f7-button color="red">Red Button</f7-button>

<!-- Link color -->
<f7-link color="green">Green Link</f7-link>

<!-- Page color theme -->
<f7-page color-theme="orange">
  ...
</f7-page>

<!-- Panel with dark theme -->
<f7-panel dark>
  ...
</f7-panel>
color-themes.vue
<template>
  <f7-page>
    <f7-navbar large title="Color Themes" back-link>
      <template #right>
        <f7-link>Link</f7-link>
      </template>
    </f7-navbar>
    <f7-toolbar tabbar icons bottom>
      <f7-toolbar-pane>
        <f7-link
          tab-link="#tab-1"
          tab-link-active
          text="Tab 1"
          icon-ios="f7:envelope_fill"
          icon-md="material:email"
        />
        <f7-link
          tab-link="#tab-2"
          text="Tab 2"
          icon-ios="f7:calendar_fill"
          icon-md="material:today"
        />
        <f7-link
          tab-link="#tab-3"
          text="Tab 3"
          icon-ios="f7:cloud_upload_fill"
          icon-md="material:file_upload"
        />
      </f7-toolbar-pane>
    </f7-toolbar>
    <f7-block-title medium>Layout Themes</f7-block-title>
    <f7-block strong inset>
      <p>Framework7 comes with 2 main layout themes: Light (default) and Dark:</p>
      <div class="grid grid-cols-2 grid-gap">
        <div class="bg-color-white demo-theme-picker" @click="setLayoutTheme('light')">
          <f7-checkbox v-if="theme === 'light'" checked disabled />
        </div>
        <div class="bg-color-black demo-theme-picker" @click="setLayoutTheme('dark')">
          <f7-checkbox v-if="theme === 'dark'" checked disabled />
        </div>
      </div>
    </f7-block>

    <f7-block-title medium>Default Color Themes</f7-block-title>
    <f7-block strong inset>
      <p>Framework7 comes with {{ colors.length }} color themes set.</p>
      <div class="grid grid-cols-3 medium-grid-cols-4 large-grid-cols-5 grid-gap">
        <div v-for="(color, index) in colors" :key="index">
          <f7-button
            fill
            round
            small
            class="demo-color-picker-button"
            :color="color"
            @click="setColorTheme(color)"
            >{{ color }}</f7-button
          >
        </div>
      </div>
    </f7-block>
    <f7-block-title medium>Material Color Scheme</f7-block-title>
    <f7-list strong inset dividers-ios>
      <f7-list-item title="Monochrome">
        <template #after>
          <f7-toggle
            :checked="monochrome"
            @toggle:change="() => setMdColorSchemeMonochrome(!monochrome)"
          />
        </template>
      </f7-list-item>
      <f7-list-item title="Vibrant">
        <template #after>
          <f7-toggle :checked="vibrant" @toggle:change="() => setMdColorSchemeVibrant(!vibrant)" />
        </template>
      </f7-list-item>
    </f7-list>
    <f7-block-title medium>Custom Color Theme</f7-block-title>
    <f7-list strong inset>
      <f7-list-input
        type="colorpicker"
        label="HEX Color"
        placeholder="e.g. #ff0000"
        readonly
        :value="{ hex: themeColor }"
        :color-picker-params="{ targetEl: '#color-theme-picker-color' }"
        @colorpicker:change="(value) => setCustomColor(value.hex)"
      >
        <template #media>
          <div
            id="color-theme-picker-color"
            style="
              width: 28px;
              height: 28px;
              border-radius: 4px;
              background: var(--f7-color-primary);
            "
          ></div>
        </template>
      </f7-list-input>
    </f7-list>
  </f7-page>
</template>
<script>
import {
  f7Navbar,
  f7Page,
  f7BlockTitle,
  f7Button,
  f7Block,
  f7List,
  f7ListInput,
  f7ListItem,
  f7Checkbox,
  f7Link,
  f7Toolbar,
  f7ToolbarPane,
  f7Toggle,
  f7,
} from 'framework7-vue';
import $ from 'dom7';
import { ref } from 'vue';

let globalTheme = 'light';
let globalThemeColor = $('html').css('--f7-color-primary').trim();

export default {
  components: {
    f7Navbar,
    f7Page,
    f7BlockTitle,
    f7Button,
    f7Block,
    f7List,
    f7ListInput,
    f7ListItem,
    f7Checkbox,
    f7Link,
    f7Toolbar,
    f7ToolbarPane,
    f7Toggle,
  },
  setup() {
    if (!globalThemeColor) {
      globalThemeColor = $('html').css('--f7-color-primary').trim();
    }
    const monochrome = ref(false);
    const vibrant = ref(false);
    const theme = ref(globalTheme);
    const themeColor = ref(globalThemeColor);

    const colors = Object.keys(f7.colors).filter(
      (c) => c !== 'primary' && c !== 'white' && c !== 'black',
    );

    const setLayoutTheme = (newTheme) => {
      f7.setDarkMode(newTheme === 'dark');
      globalTheme = newTheme;
      theme.value = newTheme;
    };

    const setColorTheme = (newColor) => {
      globalThemeColor = f7.colors[newColor];
      themeColor.value = globalThemeColor;
      f7.setColorTheme(globalThemeColor);
    };

    const setCustomColor = (newColor) => {
      globalThemeColor = newColor;
      themeColor.value = globalThemeColor;
      f7.setColorTheme(globalThemeColor);
    };

    const setMdColorScheme = () => {
      if (!vibrant.value && !monochrome.value) {
        f7.setMdColorScheme('default');
      } else if (vibrant.value && !monochrome.value) {
        f7.setMdColorScheme('vibrant');
      } else if (!vibrant.value && monochrome.value) {
        f7.setMdColorScheme('monochrome');
      } else if (vibrant.value && monochrome.value) {
        f7.setMdColorScheme('monochrome-vibrant');
      }
    };

    const setMdColorSchemeMonochrome = (value) => {
      monochrome.value = value;
      setMdColorScheme();
    };

    const setMdColorSchemeVibrant = (value) => {
      vibrant.value = value;
      setMdColorScheme();
    };
    return {
      monochrome,
      vibrant,
      theme,
      themeColor,
      colors,
      setLayoutTheme,
      setColorTheme,
      setCustomColor,
      setMdColorScheme,
      setMdColorSchemeMonochrome,
      setMdColorSchemeVibrant,
    };
  },
};
</script>

Meet our new project:Start Page HQ - turn your new tab into a personal dashboard

Color Properties

All Framework7 Svelte components supports same set of color properties that allow to set separate element colors and color themes:

PropTypeDefaultDescription
colorstringSingle element color. One of the default colors.
colorThemestringApplies color theme to the element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc. One of the default colors.
textColorstringSets element's text color. One of the default colors.
bgColorstringSets element's background color. One of the default colors.
borderThemestringSets element's borders color. One of the default colors.
rippleColorstringSets element ripple wave color. One of the default colors.
darkbooleanfalseEnables dark layout theme on element. It should be some parent element as this will have visual effect on all supported children elements, e.g. view, page, navbar, toolbar, list, etc.

For example:

<!-- Button color -->
<Button color="red">Red Button</Button>

<!-- Link color -->
<Link color="green">Green Link</Link>

<!-- Page color theme -->
<Page colorTheme="orange">
  ...
</Page>

<!-- Panel with dark theme -->
<Panel dark>
  ...
</Panel>
color-themes.svelte
<script context="module">
  let globalTheme = 'light';
  let globalThemeColor = dom7('html').css('--f7-color-primary').trim();
  let globalMonochrome = false;
  let globalVibrant = false;
</script>

<script>
  import dom7 from 'dom7';
  import {
    f7,
    Navbar,
    Page,
    BlockTitle,
    Button,
    Block,
    List,
    ListInput,
    ListItem,
    Toggle,
    Checkbox,
    Link,
    Toolbar,
  } from 'framework7-svelte';

  let theme = $state(globalTheme);
  let themeColor = $state(globalThemeColor || dom7('html').css('--f7-color-primary').trim());
  let monochrome = $state(globalMonochrome);
  let vibrant = $state(globalVibrant);

  const colors = Object.keys(f7.colors).filter(
    (c) => c !== 'primary' && c !== 'white' && c !== 'black',
  );

  function setScheme(newTheme) {
    f7.setDarkMode(newTheme === 'dark');
    globalTheme = newTheme;
    theme = newTheme;
  }

  function setColorTheme(newColor) {
    themeColor = f7.colors[newColor];
    globalThemeColor = themeColor;
    f7.setColorTheme(themeColor);
  }

  function setCustomColor(newColor) {
    themeColor = newColor;
    globalThemeColor = newColor;
    f7.setColorTheme(newColor);
  }

  const setMdColorScheme = () => {
    if (!globalVibrant && !globalMonochrome) {
      f7.setMdColorScheme('default');
    } else if (globalVibrant && !globalMonochrome) {
      f7.setMdColorScheme('vibrant');
    } else if (!globalVibrant && globalMonochrome) {
      f7.setMdColorScheme('monochrome');
    } else if (globalVibrant && globalMonochrome) {
      f7.setMdColorScheme('monochrome-vibrant');
    }
  };
  const setMdColorSchemeMonochrome = (value) => {
    globalMonochrome = value;
    monochrome = globalMonochrome;
    setMdColorScheme();
  };
  const setMdColorSchemeVibrant = (value) => {
    globalVibrant = value;
    vibrant = globalVibrant;
    setMdColorScheme();
  };
</script>

<Page>
  <Navbar large title="Color Themes" backLink>
    {#snippet right()}
      <Link>Link</Link>
    {/snippet}
  </Navbar>
  <Toolbar tabbar icons bottom>
    <Link
      tabLink="#tab-1"
      tabLinkActive
      text="Tab 1"
      iconIos="f7:envelope_fill"
      iconMd="material:email"
    />
    <Link tabLink="#tab-2" text="Tab 2" iconIos="f7:calendar_fill" iconMd="material:today" />
    <Link
      tabLink="#tab-3"
      text="Tab 3"
      iconIos="f7:cloud_upload_fill"
      iconMd="material:file_upload"
    />
  </Toolbar>
  <BlockTitle medium>Layout Themes</BlockTitle>
  <Block strong>
    <p>Framework7 comes with 2 main layout themes: Light (default) and Dark:</p>
    <div class="grid grid-cols-2 grid-gap">
      <div class="bg-color-white demo-theme-picker" onclick={() => setScheme('light')}>
        {#if theme === 'light'}
          <Checkbox checked disabled />
        {/if}
      </div>
      <div class="bg-color-black demo-theme-picker" onclick={() => setScheme('dark')}>
        {#if theme === 'dark'}
          <Checkbox checked disabled />
        {/if}
      </div>
    </div>
  </Block>

  <BlockTitle medium>Default Color Themes</BlockTitle>
  <Block strong>
    <p>Framework7 comes with {colors.length} color themes set.</p>
    <div class="grid grid-cols-3 medium-grid-cols-4 large-grid-cols-5 grid-gap">
      {#each colors as color, index}
        <div key={index}>
          <Button
            fill
            round
            small
            class="demo-color-picker-button"
            {color}
            onClick={() => setColorTheme(color)}
          >
            {color}
          </Button>
        </div>
      {/each}
    </div>
  </Block>
  <BlockTitle medium>Material Color Scheme</BlockTitle>
  <List strong inset dividersIos>
    <ListItem title="Monochrome">
      {#snippet after()}
        <Toggle
          checked={monochrome}
          onToggleChange={() => setMdColorSchemeMonochrome(!monochrome)}
        />
      {/snippet}
    </ListItem>
    <ListItem title="Vibrant">
      {#snippet after()}
        <Toggle checked={vibrant} onToggleChange={() => setMdColorSchemeVibrant(!vibrant)} />
      {/snippet}
    </ListItem>
  </List>

  <BlockTitle medium>Custom Color Theme</BlockTitle>
  <List strongIos outlineIos>
    <ListInput
      type="colorpicker"
      label="HEX Color"
      placeholder="e.g. #ff0000"
      readonly
      value={{ hex: themeColor }}
      onColorPickerChange={(value) => setCustomColor(value.hex)}
      colorPickerParams={{ targetEl: '#color-theme-picker-color' }}
    >
      {#snippet media()}
        <div
          id="color-theme-picker-color"
          style="width: 28px; height: 28px; borderRadius: 4px; background: var(--f7-theme-color)"
        ></div>
      {/snippet}
    </ListInput>
  </List>
</Page>